Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFFootnotes

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xwpf.usermodel.XWPFFootnotes

    public class XWPFFootnotes

extends POIXMLDocumentPart

Looks after the collection of Footnotes for a document

Author:
  Mike McEuen (mceuen@hp.com)

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XWPFFootnotes()` Construct XWPFFootnotes from scratch for a new document.
`XWPFFootnotes(PackagePart part, PackageRelationship rel)` Construct XWPFFootnotes from a package part

Method Summary
`XWPFFootnote` | `addFootnote(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn note)` add a footnote to the document
`void` | `addFootnote(XWPFFootnote footnote)` add an XWPFFootnote to the document
`XWPFFootnote` | `getFootnoteById(int id)`
`java.util.List` | `getFootnotesList()`
`XWPFDocument` | `getXWPFDocument()`
`void` | `setFootnotes(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFootnotes footnotes)` Sets the ctFootnotes
`void` | `setXWPFDocument(XWPFDocument doc)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFFootnotes

    public XWPFFootnotes(PackagePart part,
                         PackageRelationship rel)
                  throws java.io.IOException,
                         OpenXML4JException

  Construct XWPFFootnotes from a package part

  Parameters:
    `part` - the package part holding the data of the footnotes,
    `rel` - the package relationship of type "http://schemas.openxmlformats.org/officeDocument/2006/relationships/footnotes"
  Throws:
    `java.io.IOException`
    `OpenXML4JException`

### XWPFFootnotes

    public XWPFFootnotes()

  Construct XWPFFootnotes from scratch for a new document.

Method Detail

### getFootnotesList

    public java.util.List getFootnotesList()

### getFootnoteById

    public XWPFFootnote getFootnoteById(int id)

### setFootnotes

    public void setFootnotes(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFootnotes footnotes)

  Sets the ctFootnotes

  Parameters:
    `footnotes` -

### addFootnote

    public void addFootnote(XWPFFootnote footnote)

  add an XWPFFootnote to the document

  Parameters:
    `footnote` -
  Throws:
    `java.io.IOException`

### addFootnote

    public XWPFFootnote addFootnote(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn note)

  add a footnote to the document

  Parameters:
    `note` -
  Throws:
    `java.io.IOException`

### setXWPFDocument

    public void setXWPFDocument(XWPFDocument doc)

### getXWPFDocument

    public XWPFDocument getXWPFDocument()

  See Also:
    `IBody.getPart()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD